MCP Reference: maintenance.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Maintenance API MCP server has the following global MCP endpoint:

  • https://maintenance.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The maintenance.googleapis.com MCP server has the following tools:

MCP Tools
list_resource_maintenances

Lists resource maintenances for a given project and location.

Parameters

  • parent (string, Required): The parent of the resource maintenance, in the format projects/{project}/locations/{location}.
  • page_size (integer, Optional): The maximum number of resource maintenances to send per page.
  • page_token (string, Optional): A page token, received from a previous ListResourceMaintenances call.
  • filter (string, Optional): Filter the list as specified in https://google.aip.dev/160.
  • order_by (string, Optional): Order results as specified in https://google.aip.dev/132.

Return Value

The method returns a ListResourceMaintenancesResponse object, which contains:

  • resource_maintenances: A list of resource maintenances matching the request criteria.
  • next_page_token: A token that can be sent as page_token in a subsequent request to retrieve the next page of results.

Notes

  • Use '-' as location for a global view across all regions.
get_resource_maintenance

Retrieves details about a specific resource maintenance.

Parameters

  • name (string, Required): The resource name of the resource within a service, in the format projects/{project}/locations/{location}/resourceMaintenances/{resource_maintenance_id}.

Return Value

The ResourceMaintenance resource object if found.

summarize_maintenances

Summarizes maintenances for a given project and location by providing aggregated statistics.

Parameters

  • parent (string, Required): The parent of the resource maintenance, in the format projects/{project}/locations/{location}.
  • page_size (integer, Optional): The maximum number of resource maintenances to send per page.
  • page_token (string, Optional): A page token, received from a previous SummarizeMaintenances call.
  • filter (string, Optional): Filter the list as specified in https://google.aip.dev/160.
  • order_by (string, Optional): Order results as specified in https://google.aip.dev/132.

Return Value

The method returns a SummarizeMaintenancesResponse object, which contains:

  • maintenances: A list of maintenance summaries.
  • next_page_token: A token that can be sent as page_token in a subsequent request to retrieve the next page of results.

Notes

  • Use '-' as location for a global summary across all regions.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://maintenance.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'